Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network231.240.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
231.240.0.0
Broadcast address
231.247.255.255
First usable
231.240.0.1
Last usable
231.247.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E7F00000 · Integer 3891265536 to 3891789823
Reverse DNS zones
240.231.in-addr.arpa
241.231.in-addr.arpa
242.231.in-addr.arpa
243.231.in-addr.arpa
244.231.in-addr.arpa
245.231.in-addr.arpa
246.231.in-addr.arpa
247.231.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100111.11110000.00000000.00000000231.240.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11100111.11110000.00000000.00000000231.240.0.0
Broadcast11100111.11110111.11111111.11111111231.247.255.255
Split into smaller subnets/19

231.240.0.0/13 makes 64 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1231.240.0.0/19231.240.0.1 to 231.240.31.254231.240.31.2558,190
2231.240.32.0/19231.240.32.1 to 231.240.63.254231.240.63.2558,190
3231.240.64.0/19231.240.64.1 to 231.240.95.254231.240.95.2558,190
4231.240.96.0/19231.240.96.1 to 231.240.127.254231.240.127.2558,190
5231.240.128.0/19231.240.128.1 to 231.240.159.254231.240.159.2558,190
6231.240.160.0/19231.240.160.1 to 231.240.191.254231.240.191.2558,190
7231.240.192.0/19231.240.192.1 to 231.240.223.254231.240.223.2558,190
8231.240.224.0/19231.240.224.1 to 231.240.255.254231.240.255.2558,190
9231.241.0.0/19231.241.0.1 to 231.241.31.254231.241.31.2558,190
10231.241.32.0/19231.241.32.1 to 231.241.63.254231.241.63.2558,190
11231.241.64.0/19231.241.64.1 to 231.241.95.254231.241.95.2558,190
12231.241.96.0/19231.241.96.1 to 231.241.127.254231.241.127.2558,190
13231.241.128.0/19231.241.128.1 to 231.241.159.254231.241.159.2558,190
14231.241.160.0/19231.241.160.1 to 231.241.191.254231.241.191.2558,190
15231.241.192.0/19231.241.192.1 to 231.241.223.254231.241.223.2558,190
16231.241.224.0/19231.241.224.1 to 231.241.255.254231.241.255.2558,190
17231.242.0.0/19231.242.0.1 to 231.242.31.254231.242.31.2558,190
18231.242.32.0/19231.242.32.1 to 231.242.63.254231.242.63.2558,190
19231.242.64.0/19231.242.64.1 to 231.242.95.254231.242.95.2558,190
20231.242.96.0/19231.242.96.1 to 231.242.127.254231.242.127.2558,190
21231.242.128.0/19231.242.128.1 to 231.242.159.254231.242.159.2558,190
22231.242.160.0/19231.242.160.1 to 231.242.191.254231.242.191.2558,190
23231.242.192.0/19231.242.192.1 to 231.242.223.254231.242.223.2558,190
24231.242.224.0/19231.242.224.1 to 231.242.255.254231.242.255.2558,190
25231.243.0.0/19231.243.0.1 to 231.243.31.254231.243.31.2558,190
26231.243.32.0/19231.243.32.1 to 231.243.63.254231.243.63.2558,190
27231.243.64.0/19231.243.64.1 to 231.243.95.254231.243.95.2558,190
28231.243.96.0/19231.243.96.1 to 231.243.127.254231.243.127.2558,190
29231.243.128.0/19231.243.128.1 to 231.243.159.254231.243.159.2558,190
30231.243.160.0/19231.243.160.1 to 231.243.191.254231.243.191.2558,190
31231.243.192.0/19231.243.192.1 to 231.243.223.254231.243.223.2558,190
32231.243.224.0/19231.243.224.1 to 231.243.255.254231.243.255.2558,190
33231.244.0.0/19231.244.0.1 to 231.244.31.254231.244.31.2558,190
34231.244.32.0/19231.244.32.1 to 231.244.63.254231.244.63.2558,190
35231.244.64.0/19231.244.64.1 to 231.244.95.254231.244.95.2558,190
36231.244.96.0/19231.244.96.1 to 231.244.127.254231.244.127.2558,190
37231.244.128.0/19231.244.128.1 to 231.244.159.254231.244.159.2558,190
38231.244.160.0/19231.244.160.1 to 231.244.191.254231.244.191.2558,190
39231.244.192.0/19231.244.192.1 to 231.244.223.254231.244.223.2558,190
40231.244.224.0/19231.244.224.1 to 231.244.255.254231.244.255.2558,190
41231.245.0.0/19231.245.0.1 to 231.245.31.254231.245.31.2558,190
42231.245.32.0/19231.245.32.1 to 231.245.63.254231.245.63.2558,190
43231.245.64.0/19231.245.64.1 to 231.245.95.254231.245.95.2558,190
44231.245.96.0/19231.245.96.1 to 231.245.127.254231.245.127.2558,190
45231.245.128.0/19231.245.128.1 to 231.245.159.254231.245.159.2558,190
46231.245.160.0/19231.245.160.1 to 231.245.191.254231.245.191.2558,190
47231.245.192.0/19231.245.192.1 to 231.245.223.254231.245.223.2558,190
48231.245.224.0/19231.245.224.1 to 231.245.255.254231.245.255.2558,190
49231.246.0.0/19231.246.0.1 to 231.246.31.254231.246.31.2558,190
50231.246.32.0/19231.246.32.1 to 231.246.63.254231.246.63.2558,190
51231.246.64.0/19231.246.64.1 to 231.246.95.254231.246.95.2558,190
52231.246.96.0/19231.246.96.1 to 231.246.127.254231.246.127.2558,190
53231.246.128.0/19231.246.128.1 to 231.246.159.254231.246.159.2558,190
54231.246.160.0/19231.246.160.1 to 231.246.191.254231.246.191.2558,190
55231.246.192.0/19231.246.192.1 to 231.246.223.254231.246.223.2558,190
56231.246.224.0/19231.246.224.1 to 231.246.255.254231.246.255.2558,190
57231.247.0.0/19231.247.0.1 to 231.247.31.254231.247.31.2558,190
58231.247.32.0/19231.247.32.1 to 231.247.63.254231.247.63.2558,190
59231.247.64.0/19231.247.64.1 to 231.247.95.254231.247.95.2558,190
60231.247.96.0/19231.247.96.1 to 231.247.127.254231.247.127.2558,190
61231.247.128.0/19231.247.128.1 to 231.247.159.254231.247.159.2558,190
62231.247.160.0/19231.247.160.1 to 231.247.191.254231.247.191.2558,190
63231.247.192.0/19231.247.192.1 to 231.247.223.254231.247.223.2558,190
64231.247.224.0/19231.247.224.1 to 231.247.255.254231.247.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses